{*StrankaClanky*}
{if !empty($clanky)}
    {snippet clanky}
        <div id="nahled-clanek" data-limit="{$limit}">
            {foreach $clanky as $item}
                <article class="card mb-3">
                    <div class="card-header">
                        <h2 class="card-title">{$item->nazev}</h2>
                    </div>
                    <div class="card-body">
                        <div class="fw-bold fs-6">{$item->public_at|date:('d.m.Y')} , {$item->public_at|date:('H:i')}
                        {if $item->public_at < $item->last_update}
                            <span class="fs-6 text-danger ms-3">aktualizováno ({$item->last_update|date:('d.m.Y')})</span>
                        {/if}
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col col-12 col-md-4 clanek-img mb-3 mb-md-0">
                                {if $item->base_img_type}
                                    {if $item->base_img_type == 'icon'}
                                        {$item->base_img_icon|noescape}
                                    {/if}
                                    {if $item->base_img_type == 'img'}
                                        <img src="{$basePath}/src/fotogallery/clanky/{$item->id}/thumbs/{$item->ref('clanky_fotky','base_img_id')->url}" class="img-fluid border shadow">
                                    {/if}
                                {/if}
                            </div>
                            <div class="col col-12 col-md-8">
                                {$item->uvod|noescape|truncate:(350)}
                            </div>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="{plink :Front:Clanky:Detail:default $item->url}">Více ...</a>
                    </div>
                </article>
            {/foreach}
        </div>
        {if $pocetClanku <= $limit}
            <div class="d-flex justify-content-center pb-3">
                <h4 class="mb-0">Všechny články byly zobrazeny.</h4>
            </div>
        {else}
            <div class="spinner pb-3">
                <div class="spinner-border text-secondary" role="status">
                    <span class="visually-hidden">Loading...</span>
                </div>
            </div>
            <div class="d-flex justify-content-center pb-3">
                <div class="btn btn-primary next-article">Načíst další</div>
            </div>
        {/if}
    {/snippet}
{else}
    <h4>Není publikovaný žádný článek.</h4>
{/if}
{snippet clankyScript}
    <script>
        $('.next-article').click(function (){
            let limit = $('#nahled-clanek').attr('data-limit');
            let next = parseInt(limit) + 5;

            naja.makeRequest('POST', {link 'nacistClanky'} , { {$control->getParameterId('limit') }: next });
        })
    </script>
{/snippet}